aboutsummaryrefslogtreecommitdiff
path: root/src/lirc/lircmd
diff options
context:
space:
mode:
Diffstat (limited to 'src/lirc/lircmd')
-rwxr-xr-xsrc/lirc/lircmd36
1 files changed, 36 insertions, 0 deletions
diff --git a/src/lirc/lircmd b/src/lirc/lircmd
new file mode 100755
index 0000000..220c47c
--- /dev/null
+++ b/src/lirc/lircmd
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/lircmd`
+case "$1" in
+ start)
+ stat_busy "Starting lircmd Daemon"
+ [ -z "$PID" ] && /usr/sbin/lircmd
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon lircmd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping lircmd Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon lircmd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0